opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
cv::SparseMat::Hdr Struct Reference

the sparse matrix header More...

`#include <core.hpp>`

## Public Member Functions
void | clear ()
| Hdr (int _dims, const int *_sizes, int _type)

## Public Attributes
int | dims
size_t | freeList
vector< size_t > | hashtab
size_t | nodeCount
size_t | nodeSize
vector< uchar > | pool
int | refcount
int | size [CV_MAX_DIM]
int | valueOffset

## Detailed Description

the sparse matrix header

## Constructor & Destructor Documentation

cv::SparseMat::Hdr::Hdr | ( | int | _dims,
|  | const int * | _sizes,
|  | int | _type
| ) |  |

## Member Function Documentation

void cv::SparseMat::Hdr::clear | ( |  | ) |

## Member Data Documentation

int cv::SparseMat::Hdr::dims

size_t cv::SparseMat::Hdr::freeList

vector<size_t> cv::SparseMat::Hdr::hashtab

size_t cv::SparseMat::Hdr::nodeCount

size_t cv::SparseMat::Hdr::nodeSize

vector<uchar> cv::SparseMat::Hdr::pool

int cv::SparseMat::Hdr::refcount

int cv::SparseMat::Hdr::size[CV_MAX_DIM]

int cv::SparseMat::Hdr::valueOffset

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp